:root {
  --top-bar-color: #2c3e50b8;
  --summary-bg-color: #2c3e50f6;
  --grass-green: rgb(146, 173, 89);
  --night-blue: #040348;
}

html {
  height: 100%;
}

body {
  height: 100vh;
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--grass-green);
}

#game-window {
  display: flex;
  width: 100vw;
  max-height: 100vh;
  aspect-ratio: 100 / 47.8125;
  height: auto;
}

#homepage-background {
  width: 100%;
  height: 100%;
  position: relative;
  background-image:
    linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("../images/day-background.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
}

#game-area {
  width: 85%;
  height: 100%;
  position: relative;
  background-image: url("../images/day-background.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
}

.homeContainer {
  padding: 20px;
  display: flex;
  flex-direction: column;
  background-color: rgba(146, 173, 89, 0.658);
  align-items: center;

  border-radius: 16px;
  border: 2px solid rgba(255, 255, 255, 0.1);
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.5);

  max-width: 480px;
  width: 90%;
  text-align: center;
  gap: 15px;
}

.game-title {
  margin: 10px;
  font-family: "Arial Black", Gadget, sans-serif;
  font-size: 30px;
  color: #ffffff;
  text-shadow: 2px 3px 0px rgba(0, 0, 0, 0.4);
  background-color: #94ca70c7;

  padding-left: 20%;
  padding-right: 20%;
  padding-bottom: 2%;
  padding-top: 2%;

  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

.game-subtitle {
  margin: 0;
  font-size: 17px;
  color: #ffffff;
  font-family: "Arial Black", Gadget, sans-serif;
}

.game-subsubtitle {
  margin: 0;
  font-size: 12px;
  color: #ffffff;
  font-family: "Arial Black", Gadget, sans-serif;
  display: none;
}

.home-button {
  width: 90%;
  padding: 14px;

  font-family: "Arial Black", Gadget, sans-serif;
  font-size: 18px;
  color: #ffffff;

  background-color: rgba(154, 219, 111, 0.719);
  border-color: rgba(148, 194, 127, 0.527);
  border-radius: 10px;
  cursor: pointer;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

.home-button:hover {
  background-color: #96ca73;
  transform: translateY(-2px);
}

#mute-button {
  display: flex;
  position: absolute;
  bottom: 10px;
  left: 10px;
  background: rgba(255, 255, 255, 0.8);
  border-radius: 50%;
  border: none;
  cursor: pointer;
  z-index: 1001;
  align-items: center;
  padding: 5px;
}
